<?php
include "../ver_sessao.php";
include "../conecta.php";


function layout_relatorio(){

	//print_r($_POST);
	
	if( $_POST[codigo] ) 
		$extra .= " AND comp_nb_id = '$_POST[codigo]'";
	
	if( $_POST[data1] ) 
		$extra .= " AND comp_tx_dataCadastro>='".gera_data($_POST[data1],1)." 00:00:00'";
	if( $_POST[data2] ) 
		$extra .= " AND comp_tx_dataCadastro<='".gera_data($_POST[data2],1)." 23:59:00'";
		
	if($_POST[fornecedor]){
		$extra .= " AND comp_nb_entidade = '$_POST[fornecedor]'";
		$a_forn=carregar('entidade',$_POST[fornecedor]);	
	}
	
	if($_POST[setor]){
		$extra .= " AND comp_nb_setor= '$_POST[setor]'";
		$a_setor=carregar('setor',$_POST[setor]);	
	}
	
	if($_POST[user]){
		$extra .= " AND comp_nb_userCadastro= '$_POST[user]'";
		$a_user=carregar('user',$_POST[user]);	
	}
		
		
	cabecaRelatorio('Relatório de Compras Sintético');
	
	cactux::abre_form();
	
	$c[] = cactux::texto('Código:',$_POST[codigo]);
	$c[] = cactux::texto('Data Inicial:',$_POST[data1]);
	$c[] = cactux::texto('Data Final:',$_POST[data2]);
	$c[] = cactux::texto('Fornecedor:',$a_forn[enti_tx_nome]);
	$c[] = cactux::texto('Setor:',$a_setor[seto_tx_nome]);
	$c[] = cactux::texto('Usuário:',$a_user[user_tx_nome]);
	
	cactux::abre_fieldset('Informações do Relatório');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3],$c[4],$c[5]);
	cactux::fecha_fieldset();
	
	$j=1;
	cactux::fecha_form();
	$sql=selecionar('compra,movimento,entidade,setor.user','comp_tx_status,movi_tx_status',"Finalizado,ativo"," AND user_nb_id=comp_nb_userCadastro $extra GROUP BY comp_nb_id ORDER BY comp_tx_dataCadastro DESC",0);
	while($a=carrega_array($sql)){
	
	//	echo"COMP:$a[comp_nb_id] - MOVI:$a[movi_nb_id] - $a[movi_tx_valordoc]<br>";
		
		$valores[]=array($j++,data($a[comp_tx_dataCadastro],1),$a[enti_tx_nome],$a[user_tx_nome],mostra_valor($a[movi_tx_valordoc]));
		$valor_total+=$a[movi_tx_valordoc];
	}
	$valores[]=array('','','','<b>TOTAL:</b>',mostra_valor($valor_total));
	$cabecalho[] = array('','DATA','FORNECEDOR','COMPRADOR','VALOR');
	$cabecalho[] = 'c,e,e,e,e,e,e';
	$cabecalho[] = '6%,10%,,20%,15%';
	$cabecalho[] = '98%';

	echo"<br>";
	
	grid::gerar($cabecalho,$valores);
	
	
}



function index(){

	cabecalho('Relatório de Compras Sintético',2);
	
	cactux::abre_form('blank');
	
	//CAMPOS
	$c[] = cactux::campo('Código:','codigo','',1);
	$c[] = cactux::campo('Data Inicial:','data1','',1,MASCARA_DATA);
	$c[] = cactux::campo('Data Fim:','data2','',1,MASCARA_DATA);
	$c[] = cactux::combo_bd('!Fornecedor:','fornecedor','','',3,'entidade','',"1  ORDER BY enti_tx_nome");
	$c[] = cactux::combo_bd('!Setor:','setor','','',2,'setor','',"1  ORDER BY seto_tx_nome");
	$c[] = cactux::combo_bd('!Usuário:','user','','',2,'user','',"1  ORDER BY user_tx_nome");
	//$c[] = cactux::combo_bd('!Centro de Custo:','centrocusto','','',3,'centrocusto','',"1  ORDER BY cent_tx_nome");
	//$c[] = cactux::combo_bd('!Plano de Conta:','planoconta','','',3,'planoconta','',"1  ORDER BY plan_tx_nome");
	//$c[] = cactux::combo('Forma:','forma',array('','Caixa','Banco do Brasil','Banco Bradesco'),'',2);
	
	//BOTOES
	$buscar = cactux::botao_submit('Gerar Relatório',2,'layout_relatorio');
	
	cactux::abre_fieldset('Filtro de Busca');
	cactux::linha_fieldset($c[0],$c[1],$c[2],$c[3],$c[4],$c[5]);
	cactux::linha_fieldset($buscar);
	cactux::fecha_fieldset();
	cactux::fecha_form();
	
	
	
	rodape();
	
	
}











CONTROLE();
?>